Test fails on s390x (Alpine Linux)

October 04, 2018 10:18 - Natanael Copa

Status: Rejected Start date: October 04, 2018

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Affects version:    

Description

the src/libaudcore/tests fails on Alpine Linux s390x:

./ncopa-edge-s390x:~/aports/community/audacious/src/audacious-3.10/src/libaudcore/tests$ ./test

Assertion failed: f[0] == -1.0f (test.cc: test_audio_conversion: 57)

Aborted

 

I added a printf which reveals that f[0] == 0.003906.

History

#1 - October 04, 2018 17:25 - John Lindgren

s390x is not supported, but if you have a patch, I would be happy to review it.

#2 - November 01, 2018 04:21 - John Lindgren

- Status changed from New to Rejected
